| Home | Libraries | People | FAQ | More

###### field_view::field_view (19 of 24 overloads)

Constructs a `field_view` holding a blob.

###### Synopsis

    explicit constexpr
    field_view(
        blob_view v) noexcept;

###### Exception safety

No-throw guarantee.

###### Object lifetimes

Results in a `field_view` with reference semantics. It will be valid as long as the character buffer the `blob_view` points to is valid.